function Fz = Dz(F,vh,uh,j,i)
% partial z of F
if nargin ~= 5 && nargin ~= 3
    disp('wrong arguments.\n Usage: Fz = Dz(F,uh,vh,i,j) OR Fz = Dz(F,uh,vh)')
end
if nargin == 5
    Fz = ( (F(j,i+1)-F(j,i-1))/uh - 1i*(F(j+1,i)-F(j-1,i))/vh )/4;
end
if nargin == 3
    [M,N] = size(F);
    Fz = zeros(M,N);
    for i = 3:N-1
        for j = 3:M-1
            Fz(j,i) = Dz(F,vh,uh,j,i);
        end
    end
end